Bug 175360 - wrong partition data shown for partitions bigger than 2TB
wrong partition data shown for partitions bigger than 2TB
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: parted (Show other bugs)
3
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: David Cantrell
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-12-09 08:21 EST by Michal Szymanski
Modified: 2007-11-30 17:11 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-08-29 16:36:46 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Michal Szymanski 2005-12-09 08:21:02 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.10) Gecko/20050716 Firefox/1.0.6

Description of problem:
Following an advise found in the internet, I used 'parted' (instead of 'fdisk') to create a GPT type 4TB partition on a 3ware 12x400GB raid5 array. It properly recognized the size of the "disk" to be 4196049 MB, so I entered

mklabel gpt
mkpart primary 0 4196049

No error was reported but a 'print' command yielded:

(parted) print                                                            
Disk geometry for /dev/sdb: 0.000-4196049.000 megabytes
Disk label type: gpt
Minor    Start       End     Filesystem  Name                  Flags
1          0.017   1744.983  

After this was saved I successfully installed a 4TB xfs filesystem on the partition:

>df /mnt
/dev/sdb1            4296622976       528 4296622448   1% /mnt

so apparently 'parted' did its job properly, failing only when displaying the partition data (possibly due to some overflow?)

Version-Release number of selected component (if applicable):
parted-1.6.15-5

How reproducible:
Always

Steps to Reproduce:
1. get a 4TB raid array :) let it be /dev/sdb
2. parted /dev/sdb
3. (parted) mklabel gpt
4. (parted) mkpart primary 0 4196049    (last value according to real array)
5. (parted) print

Actual Results:  Disk geometry for /dev/sdb: 0.000-4196049.000 megabytes
Disk label type: gpt
Minor    Start       End     Filesystem  Name                  Flags
1          0.017   1744.983

Expected Results:  Disk geometry for /dev/sdb: 0.000-4196049.000 megabytes
Disk label type: gpt
Minor    Start       End     Filesystem  Name                  Flags
1          0.017   4196049.000

Additional info:
Comment 1 Matthew Miller 2006-07-10 16:58:12 EDT
Fedora Core 3 is now maintained by the Fedora Legacy project for security
updates only. If this problem is a security issue, please reopen and
reassign to the Fedora Legacy product. If it is not a security issue and
hasn't been resolved in the current FC5 updates or in the FC6 test
release, reopen and change the version to match.

Thank you!

Note You need to log in before you can comment on or make changes to this bug.